export var IgcDockManagerPaneType;
(function (IgcDockManagerPaneType) {
  IgcDockManagerPaneType["splitPane"] = "splitPane";
  IgcDockManagerPaneType["contentPane"] = "contentPane";
  IgcDockManagerPaneType["tabGroupPane"] = "tabGroupPane";
  IgcDockManagerPaneType["documentHost"] = "documentHost";
})(IgcDockManagerPaneType || (IgcDockManagerPaneType = {}));
export var IgcSplitPaneOrientation;
(function (IgcSplitPaneOrientation) {
  IgcSplitPaneOrientation["horizontal"] = "horizontal";
  IgcSplitPaneOrientation["vertical"] = "vertical";
})(IgcSplitPaneOrientation || (IgcSplitPaneOrientation = {}));
export var IgcUnpinnedLocation;
(function (IgcUnpinnedLocation) {
  IgcUnpinnedLocation["top"] = "top";
  IgcUnpinnedLocation["bottom"] = "bottom";
  IgcUnpinnedLocation["left"] = "left";
  IgcUnpinnedLocation["right"] = "right";
})(IgcUnpinnedLocation || (IgcUnpinnedLocation = {}));
/**
 * Enumeration used to determine which panes within a dockable TabGroupPane are affected by a particular pane action such as closing or unpinning a pane.
 */
export var IgcPaneActionBehavior;
(function (IgcPaneActionBehavior) {
  IgcPaneActionBehavior["allPanes"] = "allPanes";
  IgcPaneActionBehavior["selectedPane"] = "selectedPane";
})(IgcPaneActionBehavior || (IgcPaneActionBehavior = {}));
export var IgcDockingIndicatorPosition;
(function (IgcDockingIndicatorPosition) {
  IgcDockingIndicatorPosition["left"] = "left";
  IgcDockingIndicatorPosition["outerLeft"] = "outerLeft";
  IgcDockingIndicatorPosition["right"] = "right";
  IgcDockingIndicatorPosition["outerRight"] = "outerRight";
  IgcDockingIndicatorPosition["top"] = "top";
  IgcDockingIndicatorPosition["outerTop"] = "outerTop";
  IgcDockingIndicatorPosition["bottom"] = "bottom";
  IgcDockingIndicatorPosition["outerBottom"] = "outerBottom";
  IgcDockingIndicatorPosition["center"] = "center";
  IgcDockingIndicatorPosition["splitterHorizontal"] = "splitterHorizontal";
  IgcDockingIndicatorPosition["splitterVertical"] = "splitterVertical";
})(IgcDockingIndicatorPosition || (IgcDockingIndicatorPosition = {}));
export var IgcPaneDragActionType;
(function (IgcPaneDragActionType) {
  IgcPaneDragActionType["floatPane"] = "floatPane";
  IgcPaneDragActionType["moveFloatingPane"] = "moveFloatingPane";
  IgcPaneDragActionType["dockPane"] = "dockPane";
  IgcPaneDragActionType["moveTab"] = "moveTab";
})(IgcPaneDragActionType || (IgcPaneDragActionType = {}));
/**
 * Describes a Dock Manager component.
 */
/* blazorAdditionalDependency: DockManagerLayout */
/* blazorAdditionalDependency: ContentPane */
/* blazorAdditionalDependency: SplitPane */
/* blazorAdditionalDependency: DocumentHost */
/* blazorAdditionalDependency: TabGroupPane */
/* blazorAdditionalDependency: TabHeaderElement */
/* blazorSupportsVisualChildren */
export class IgcDockManagerComponent extends HTMLElement {
  constructor() {
    super(...arguments);
    /**
     * Determines which tab header icons should show when hovering over the tab with the mouse. Defaults to none.
     */
    this.showHeaderIconOnHover = 'none';
    /**
     * Determines whether pane headers are only shown on hover or always visible. Defaults to 'always'.
     */
    this.showPaneHeaders = 'always';
  }
  /**
   * Performs drop of the `draggedPane` into the specified `dropPosition`.
   * Returns true if the pane has been docked otherwise returns false.
   */
  dropPane() {
    return null;
  }
  /**
   * Removes a pane from the layout.
   */
  removePane(pane) {
    pane = pane;
    return null;
  }
  /**
   * Focuses a pane from the layout.
   */
  focusPane(contentId) {
    contentId = contentId;
    return null;
  }
  addEventListener() { }
  removeEventListener() { }
}
export var IgcResizerLocation;
(function (IgcResizerLocation) {
  IgcResizerLocation["top"] = "top";
  IgcResizerLocation["bottom"] = "bottom";
  IgcResizerLocation["left"] = "left";
  IgcResizerLocation["right"] = "right";
  IgcResizerLocation["topLeft"] = "topLeft";
  IgcResizerLocation["topRight"] = "topRight";
  IgcResizerLocation["bottomLeft"] = "bottomLeft";
  IgcResizerLocation["bottomRight"] = "bottomRight";
})(IgcResizerLocation || (IgcResizerLocation = {}));
//# sourceMappingURL=dockmanager.public-interfaces.js.map
