import { Host, h } from "@stencil/core";
import { IGC_DEFAULT_PANE_SIZE } from "../dockmanager.interfaces";
/**
 * @hidden
 */
export class IgcDocumentHostComponent {
  constructor() {
    this.size = undefined;
    this.parentUseFixedSize = false;
  }
  render() {
    const size = this.size || this.size === 0 ? this.size : IGC_DEFAULT_PANE_SIZE;
    return (h(Host, { role: "group", style: {
        flex: this.parentUseFixedSize ? `0 0 ${size}px` : `${size} 1 ${size}px`
      } }));
  }
  static get is() { return "igc-document-host-component"; }
  static get encapsulation() { return "scoped"; }
  static get originalStyleUrls() {
    return {
      "$": ["document-host-component.css"]
    };
  }
  static get styleUrls() {
    return {
      "$": ["document-host-component.css"]
    };
  }
  static get properties() {
    return {
      "size": {
        "type": "number",
        "mutable": false,
        "complexType": {
          "original": "number",
          "resolved": "number",
          "references": {}
        },
        "required": false,
        "optional": false,
        "docs": {
          "tags": [],
          "text": ""
        },
        "attribute": "size",
        "reflect": false
      },
      "parentUseFixedSize": {
        "type": "boolean",
        "mutable": false,
        "complexType": {
          "original": "boolean",
          "resolved": "boolean",
          "references": {}
        },
        "required": false,
        "optional": false,
        "docs": {
          "tags": [],
          "text": ""
        },
        "attribute": "parent-use-fixed-size",
        "reflect": false,
        "defaultValue": "false"
      }
    };
  }
}
//# sourceMappingURL=document-host-component.js.map
